Name:           kitsune
Version:        2.0
Release:        4%{?dist}
Summary:        Program to solve mathematical problems

Group:          Amusements/Games
License:        GPLv2+
URL:            http://%{name}.tuxfamily.org/wiki/doku.php?id=homepage
Source0:        http://%{name}.tuxfamily.org/%{name}/%{name}%{version}/%{name}%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        http://%{name}.tuxfamily.org/download.php?url=icons/%{name}-icones.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils

%description
Kitsune is a software aiming at solving digit problems 
of a famous television game show called "Countdown" in England 
and "Les chiffres et les lettres" in France.

%prep
%setup -q -a 2 -n %{name}%{version}

for f in Changelog.txt txt/gpl-fr.html txt/aide-fr.html txt/licence-fr.html ; do
   %{_bindir}/iconv -f iso8859-1 -t utf-8 ${f} > ${f}.conv && /bin/mv -f ${f}.conv ${f}
   /bin/sed -i -e "s/ISO-8859-1/UTF-8/" ${f} 
done

%build
qmake-qt4
lrelease-qt4 kitsune.pro
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 bin/kitsune $RPM_BUILD_ROOT%{_bindir}

for f in 16 22 32 48 64 ; do
  mkdir -p  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${f}x${f}/apps
  install -p -m 0644 %{name}-icones/%{name}-${f}X${f}.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${f}x${f}/apps/%{name}.png || \
  install -p -m 0644 %{name}-icones/%{name}-${f}x${f}.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${f}x${f}/apps/%{name}.png
done

desktop-file-install --vendor="fedora"                                 \
       --dir=$RPM_BUILD_ROOT%{_datadir}/applications    \
       %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog.txt txt/*
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png


%post
touch --no-create %{_datadir}/icons/hicolor/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet --ignore-theme-index %{_datadir}/icons/hicolor/ || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet --ignore-theme-index %{_datadir}/icons/hicolor/ || :
fi

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0-4
- Autorebuild for GCC 4.3

* Wed Dec 12 2007 Martin-Gomez Pablo <pablo.martin-gomez@laposte.net> 2.0-3
- Change Source0 adress
- Change in %%setup option
- Complete change of some files' encoding
- Simplification of icon installing
- Correct files' ownership in %%files

* Mon Dec 3 2007 Martin-Gomez Pablo <pablo.martin-gomez@laposte.net> 2.0-2
- Add update GTK+ icon cache
- Add icon 
- Remove deprecated key from desktop file
- Change of some files' encoding

* Wed Nov 7 2007 Martin-Gomez Pablo <pablo.martin-gomez@laposte.net> 2.0-1
- First RPM release. 
